﻿Option Strict On
Imports System.Xml.Linq
Imports System.Device.Location
Imports Microsoft.Phone.Controls.Maps
Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' コンストラクター
    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub Button1_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles Button1.Click
        Dim myUri As String = String.Format("http://www.geocoding.jp/api/?v=1.1&q={0}", HttpUtility.UrlEncode(addressTextBox.Text))
        Dim myWebClient As New WebClient
        myWebClient.DownloadStringAsync(New Uri(myUri, UriKind.Absolute))

        AddHandler myWebClient.DownloadStringCompleted, Sub(resultSender As Object, resultArgs As DownloadStringCompletedEventArgs)
                                                            Dim xmldoc As XElement = XElement.Parse(resultArgs.Result)
                                                            Dim myLatitude As String = xmldoc.Descendants("coordinate").Elements("lat").Value
                                                            Dim myLongitude As String = xmldoc.Descendants("coordinate").Elements("lng").Value

                                                            Map1.Center = New GeoCoordinate(Double.Parse(myLatitude), Double.Parse(myLongitude))
                                                            Map1.ZoomLevel = 10

                                                            Dim myPin As New Pushpin
                                                            myPin.Location = New GeoCoordinate(Double.Parse(myLatitude), Double.Parse(myLongitude))
                                                            myPin.Content = addressTextBox.Text
                                                            Map1.Children.Add(myPin)

                                                        End Sub
    End Sub

    Private Sub Button2_Click(sender As Object, e As System.Windows.RoutedEventArgs) Handles Button2.Click
        Select Case Button2.Content.ToString
            Case "航空写真"
                Map1.Mode = New AerialMode
                Button2.Content = "道路表示"
            Case "道路表示"
                Map1.Mode = New RoadMode
                Button2.Content = "航空写真"
        End Select
    End Sub
End Class
